#!/usr/bin/perl

my $DESTDIR = "./abc.soot.build";
#my $ADD_SOURCES = "./Jigsaw/Install.java";

my $CLASSPATH = $ENV{CLASSPATH};
my $JAVA_HOME = "c:/j2sdk1.4.2_10"; #sun j2sdk
my $ALT_JAVA_HOME = "../ajhotdraw/deplibs/java-1.4.2-gcj-1.4.2.0"; #gnu jsdk
my $TOOLSJAR = "$JAVA_HOME/lib/tools.jar";
my $TIDYJAR = "./classes/Tidy.jar";
my $SERVLETJAR = "./classes/servlet.jar";
my $OROJAR = "./deplibs/jakarta-oro-2.0.8/jakarta-oro-2.0.8.jar";
my $ADD_FLAGS = "";
my $ADD_CP = "./benchmark;./Jigsaw;./src/classes";


my $JSDKJARS = "$JAVA_HOME/jre/lib/charsets.jar;$JAVA_HOME/jre/lib/jce.jar;$JAVA_HOME/jre/lib/jsse.jar;$JAVA_HOME/jre/lib/plugin.jar;$JAVA_HOME/jre/lib/rt.jar;$JAVA_HOME/jre/lib/sunrsasign.jar;$JAVA_HOME/lib/dt.jar;$JAVA_HOME/lib/htmlconverter.jar;$JAVA_HOME/lib/tools.jar;";
my $ALT_JSDKJARS = "$ALT_JAVA_HOME/jre/lib/charsets.jar;$ALT_JAVA_HOME/jre/lib/jce.jar;$ALT_JAVA_HOME/jre/lib/jsse.jar;$ALT_JAVA_HOME/jre/lib/plugin.jar;$ALT_JAVA_HOME/jre/lib/rt.jar;$ALT_JAVA_HOME/jre/lib/sunrsasign.jar;$ALT_JAVA_HOME/lib/dt.jar;$ALT_JAVA_HOME/lib/htmlconverter.jar;$ALT_JAVA_HOME/lib/tools.jar;";

my $cmdline="java -Xmx800M soot.Main -soot-class-path \"$SERVLETJAR;$JSDKJARS;$ALT_JSDKJARS;$OROJAR;$TIDYJAR;$TOOLSJAR;$CLASSPATH;$ADD_CP\" -process-dir \"src/classes\" -d $DESTDIR $ADD_FLAGS $ADD_SOURCES @ARGV";

print "Executing: $cmdline\n";

system $cmdline;
