// LanguageAttributeModifier.java
// $Id: LanguageAttributeModifier.java,v 1.1 2005/12/12 17:44:12 neil Exp $
// (c) COPYRIGHT MIT and INRIA, 1998.
// Please first read the full copyright statement in file COPYRIGHT.html

package org.w3c.jigadm.editors ;

/**
 * @version $Revision: 1.1 $
 * @author  Benot Mah (bmahe@w3.org)
 */
public class LanguageAttributeModifier implements EditorModifier {

    /**
     * Modify the selected item, returns the 2 first characters
     * @return The modifier item
     */

    public String modify(String item) {
	return item.substring(0,2);
    }

    /**
     * Create a new LanguageAttributeModifier
     */
    public LanguageAttributeModifier() {

    }    
}
