// ResourceActionListener.java
// $Id: ResourceActionListener.java,v 1.1 2005/12/12 17:44:13 neil Exp $
// (c) COPYRIGHT MIT, INRIA and Keio, 1999.
// Please first read the full copyright statement in file COPYRIGHT.html
package org.w3c.jigadmin.events; 

/**
 * The ResourceAction listener class.
 * @version $Revision: 1.1 $
 * @author  Benot Mah (bmahe@w3.org)
 */
public interface ResourceActionListener {

    /**
     * A resource action occured.
     * @param e the ResourceActionEvent
     */
    public void resourceActionPerformed(ResourceActionEvent e);

}
